scala.tools.nsc.javac.JavaScanners

# JavaScanner

#### abstract class JavaScanner extends AbstractJavaScanner with JavaTokenData with Cloneable with ScannerCommon

A scanner for Java.

Source
  JavaScanners.scala

Linear Supertypes
JavaScanners.ScannerCommon, JavaScanners.CommonTokenData, Cloneable, java.lang.Cloneable, JavaTokenData, AbstractJavaScanner, AbstractJavaTokenData, AnyRef, Any
Known Subclasses
JavaUnitScanner
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaScanner
2. ScannerCommon
3. CommonTokenData
4. Cloneable
5. Cloneable
6. JavaTokenData
7. AbstractJavaScanner
8. AbstractJavaTokenData
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaScanner()

### Type Members

1. #### type ScanPosition = Int

   Definition Classes
     JavaTokenData → AbstractJavaTokenData

### Abstract Value Members

1. #### abstract def deprecationWarning(off: JavaScanners.Offset, msg: String): Unit

   Definition Classes
     ScannerCommon

2. #### abstract def error(off: JavaScanners.Offset, msg: String): Unit

   Definition Classes
     ScannerCommon

3. #### implicit abstract def g2p(pos: ScanPosition): Global.Position

   Definition Classes
     AbstractJavaScanner

4. #### abstract def incompleteInputError(off: JavaScanners.Offset, msg: String): Unit

   Definition Classes
     ScannerCommon

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JavaScanner to any2stringadd[JavaScanner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JavaScanner, B)

   Implicit information
     This member is added by an implicit conversion from JavaScanner to ArrowAssoc[JavaScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val NoPos: Int

   Definition Classes
     JavaTokenData → AbstractJavaTokenData

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### var base: Int

   the base of a number

   the base of a number

   Definition Classes
     JavaTokenData

9. #### val cbuf: collection.mutable.StringBuilder

   character buffer for literals

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def copyFrom(td: JavaTokenData): Unit

    Definition Classes
      JavaTokenData

12. #### def currentPos: Global.Position

    Definition Classes
      JavaScanner → AbstractJavaScanner

13. #### def ensuring(cond: (JavaScanner) ⇒ Boolean, msg: ⇒ Any): JavaScanner

    Implicit information
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (JavaScanner) ⇒ Boolean): JavaScanner

    Implicit information
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): JavaScanner

    Implicit information
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): JavaScanner

    Implicit information
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def floatVal(negated: Boolean): Double

    convert name, base to double value

    convert name, base to double value

    Definition Classes
      JavaScanner → AbstractJavaScanner

21. #### def floatVal: Double

    Definition Classes
      JavaScanner → AbstractJavaScanner

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JavaScanner to StringFormat[JavaScanner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def getFraction(): Unit

    read fractional part and exponent of floating point number if one is present.

    read fractional part and exponent of floating point number if one is present.

    Attributes
      protected

25. #### def getNumber(): Unit

    read a number into name and set base

    read a number into name and set base

    Attributes
      protected

26. #### def getlitch(): AnyVal

    read next character in character or string literal:

    read next character in character or string literal:

    Attributes
      protected

27. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

28. #### var in: JavaCharArrayReader

29. #### def incompleteInputError(msg: String): Unit

    signal an error where the input ended in the middle of a token

30. #### def init(): Unit

    INIT: read lookahead character and token.

31. #### def intVal(negated: Boolean): Long

    convert name to long value

    convert name to long value

    Definition Classes
      JavaScanner → AbstractJavaScanner

32. #### def intVal: Long

    Definition Classes
      JavaScanner → AbstractJavaScanner

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### var lastPos: Int

    the first character position after the previous token

    the first character position after the previous token

    Definition Classes
      JavaTokenData

35. #### def lookaheadToken: Int

36. #### var name: Global.TermName

    the name of an identifier or token

    the name of an identifier or token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### val next: JavaTokenData

    we need one token lookahead

    we need one token lookahead

    Definition Classes
      JavaScanner → AbstractJavaScanner

39. #### def nextToken(): Unit

    Definition Classes
      JavaScanner → AbstractJavaScanner

40. #### final def notify(): Unit

    Definition Classes
      AnyRef

41. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

42. #### var pos: Int

    the token's position

    the token's position

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

43. #### val prev: JavaTokenData

44. #### def putChar(c: Char): Unit

    append Unicode character to "lit" buffer

    append Unicode character to "lit" buffer

    Attributes
      protected

45. #### def skipComment(): Boolean

    Attributes
      protected

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def syntaxError(msg: String): Unit

    generate an error at the current token position

48. #### def syntaxError(pos: Int, msg: String): Unit

    generate an error at the given position

49. #### def toString(): String

    Definition Classes
      JavaScanner → AnyRef → Any

50. #### var token: Int

    the next token

    the next token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

51. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### def →[B](y: B): (JavaScanner, B)

    Implicit information
      This member is added by an implicit conversion from JavaScanner to ArrowAssoc[JavaScanner] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from JavaScanners.ScannerCommon

### Inherited from JavaScanners.CommonTokenData

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from JavaTokenData

### Inherited from AbstractJavaScanner

### Inherited from AbstractJavaTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavaScanner to any2stringadd[JavaScanner]

### Inherited by implicit conversion StringFormat from JavaScanner to StringFormat[JavaScanner]

### Inherited by implicit conversion Ensuring from JavaScanner to Ensuring[JavaScanner]

### Inherited by implicit conversion ArrowAssoc from JavaScanner to ArrowAssoc[JavaScanner]

### Ungrouped